Bug 105525 - Outlook msg file is converted to PDF with 10,000 pages
Summary: Outlook msg file is converted to PDF with 10,000 pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-01-25 17:00 UTC by Ofir
Modified: 2021-12-03 04:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2017-01-25 17:00:04 UTC
LO converts an Outlook msg file to a PDF with 10,000 pages with close to 100% CPU.

Test file:
https://github.com/mattgwwalker/msg-extractor/tree/master/example-msg-files

Command:
libreoffice --headless --invisible --convert-to pdf:writer_pdf_Export --outdir ./ unicode.msg

LO should detect unsupported file format and exit.

Tested on Ubuntu 16.04 with 5.2.4 and:

Version: 5.3.0.2
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 1; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-02-01 11:26:59 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.2.5.1 (x64)
Build ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 QA Administrators 2018-02-02 03:36:47 UTC Comment hidden (obsolete)
Comment 3 Ofir 2019-08-13 22:37:00 UTC
Reproducible on LibreOffice 6.3.0.4 30(Build:4)
Comment 4 Mail Help 2019-12-03 10:37:11 UTC Comment hidden (spam)
Comment 5 QA Administrators 2021-12-03 04:21:58 UTC
Dear Ofir,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug